Loading...
Searching...
No Matches
ranges::views::drop_while_base_fn Struct Reference
Inheritance diagram for ranges::views::drop_while_base_fn:

## Public Member Functions

template<typename Rng , typename Pred > requires viewable_range<Rng> && input_range<Rng> && indirect_unary_predicate<Pred, iterator_t<Rng>>
auto | operator() (Rng &&rng, Pred pred) const -> drop_while_view< all_t< Rng >, Pred >
template<typename Rng , typename Pred , typename Proj > requires viewable_range<Rng> && input_range<Rng> && indirect_unary_predicate<composed<Pred, Proj>, iterator_t<Rng>>
auto | operator() (Rng &&rng, Pred pred, Proj proj) const -> drop_while_view< all_t< Rng >, composed< Pred, Proj > >